Subject: bug#13417: 24.2.92; Show number of errors in compilation mode

From: Juri Linkov <[email-masked]>
Date: Sun, 11 Feb 2018 23:42:25 +0200

> This is a feature request originated from the discussion
> http://thread.gmane.org/gmane.emacs.devel/154236:
>
>   The unused compilation-num-errors-found variable seems to be a
>   placeholder to showing number of errors or warnings in compilation mode,
>   for example: 
>   
>     Compilation exited abnormally with 10 errors and 11 warnings at Wed
>     Oct 10 23:34:40

I'm sorry to say this but I see no way to implement this.
The problem is that the last line in the *compilation* buffer
is printed earlier than we know the number of compilation errors
because errors are counted by font-lock invoked at unpredictable times
when compilation process is already finished.

Fortunately since now the number of compilation errors and
warnings are displayed in the mode-line of *compilation* buffer,
do you think this is enough and we can close this feature request?